browser.composeScripts.register({
    js: [
	{file: "common.js"},
	{file: "compose.js"}
    ],
});

browser.messageDisplayScripts.register({
    css: [
	{file: "/style.css"}
    ],
    js: [
	{file: "/common.js"},
	{file: "/display.js"}
    ],
});

browser.menus.create({
    id: "liu-safelinks-copy",
    title: browser.i18n.getMessage("copyLinkMenuTitle"),
    contexts: ["link"],
    visible: true,
    targetUrlPatterns: ["*://*.safelinks.protection.outlook.com/*"],
});

browser.menus.onClicked.addListener((info, tab) => {
    if (info.menuItemId == "liu-safelinks-copy") {
	navigator.clipboard.writeText(untangleLink(info.linkUrl));
    }
});

